package com.steerinfo.dil.controller;


import com.steerinfo.dil.service.impl.OmstrainOrderServiceImpl;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.dil.util.DataChange;
import com.steerinfo.framework.controller.RESTfulResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.models.auth.In;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.io.IOException;
import java.text.SimpleDateFormat;
import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/${api.version}/omstrainorders")
public class OmstrainOrderController extends BaseRESTfulController {
    private final SimpleDateFormat sdfDateTime = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");

    @Autowired
    OmstrainOrderServiceImpl omstrainOrderService;


    @ApiOperation(value = "生成火运订单")
    @PostMapping("/generateOmstrain")
    public int generateOmstrain(@RequestBody(required = false) Map<String,Object> map) throws IOException {
        int i = omstrainOrderService.generateOmstrain(map);
        return i;
    }


    @ApiOperation(value = "根据运输订单ID获取订单信息")
    @GetMapping("getOrderTrainMes")
    public RESTfulResult getOrderTrainMes(Integer orderId){
        List<Map<String,Object>> mapList = omstrainOrderService.getOrderTrainMes(orderId);
        return success(mapList);
    }

    @ApiOperation(value = "查询火车发运明细")
    @PostMapping("getWagonShippingDetails")
    public RESTfulResult getWagonShippingDetails(@RequestBody(required = false) Map<String,Object> map,
                                                 String startTime,
                                                 String endTime,
                                                 String sendStation,
                                                 String toTheStation,
                                                 String consigneeName,
                                                 String wagonNo){
        DataChange.queryDataByDateTimeYestDay(startTime, endTime, map, sdfDateTime);//根据时间段查询数据
        if(sendStation != null && !"null".equals(sendStation)){
            map.put("sendStation",sendStation);
        }
        if(toTheStation != null && !"null".equals(toTheStation)){
            map.put("toTheStation",toTheStation);
        }
        if(consigneeName != null && !"null".equals(consigneeName)){
            map.put("consigneeName",consigneeName);
        }
        if(wagonNo != null && !"null".equals(wagonNo)){
            map.put("wagonNo",wagonNo);
        }
        List<Map<String,Object>> mapList = omstrainOrderService.getWagonShippingDetails(map);
        return success(mapList);
    }

}
