package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.OmstrainOrder;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface OmstrainOrderMapper extends IBaseMapper<OmstrainOrder, BigDecimal> {

    @Select("select seq_OMSTRAIN_ORDER.nextval from dual")
    BigDecimal getTrainOrder();

    List<Map<String, Object>> getOrderTrainMes(Integer orderId);

    List<Map<String, Object>> getMaterialList(Map<String, Object> map1);

    List<Map<String, Object>> getLuhaoNum(BigDecimal orderId, BigDecimal materialId);

    List<Map<String, Object>> getWagonShippingDetails(Map<String, Object> map);

    String getInwardWarehouse(BigDecimal orderId);

    List<BigDecimal> getTrainOrderIds(BigDecimal orderId);

}