package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.RmsCapacity;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface RmsCapacityMapper extends IBaseMapper<RmsCapacity, BigDecimal> {

    List<Map<String,Object>> warehouseId();

    List<Map<String,Object>> platformId();

    List<Map<String,Object>> stackingId();

    @Select("select seq__RMS_PWAREHOUSE_GRIDTEST.nextval from dual")
    BigDecimal gridId();

    String selectCapacityNumber(String userId);

    //根据userId进行运力类型
    BigDecimal getCapacityTypeByUserId(String userId);
}