package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="内转运输计划")
public class AmstruckInwardPlan implements IBasePO<BigDecimal> {
    /**
     * 主键id(PLAN_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="主键id",required=true)
    private BigDecimal planId;

    /**
     * 运输计划号(PLAN_NUMBER,VARCHAR,20)
     */
    @ApiModelProperty(value="运输计划号",required=false)
    private String planNumber;

    /**
     * 承运商ID(CARRIER_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="承运商ID",required=false)
    private BigDecimal carrierId;

    /**
     * 车数(PLAN_TRUCK_NUMBER,DECIMAL,0)
     */
    @ApiModelProperty(value="车数",required=false)
    private BigDecimal planTruckNumber;

    /**
     * 计划状态（0：未下发；1：已下发；2：已接收）(PLAN_STATUS,DECIMAL,38)
     */
    @ApiModelProperty(value="计划状态（0：未下发；1：已下发；2：已接收）",required=false)
    private BigDecimal planStatus;

    /**
     * 计划下发时间(PLAN_ISSUE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="计划下发时间",required=false)
    private Date planIssueTime;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 0：未删除；1：已删除(DELETED,DECIMAL,0)
     */
    @ApiModelProperty(value="0：未删除；1：已删除",required=false)
    private BigDecimal deleted;

    /**
     * 计划下发人(PLAN_ISSUE_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="计划下发人",required=false)
    private String planIssueName;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.planId;
    }

    @Override
    public void setId(BigDecimal planId) {
        this.planId = planId;
    }

    public BigDecimal getPlanId() {
        return planId;
    }

    public void setPlanId(BigDecimal planId) {
        this.planId = planId;
    }

    public String getPlanNumber() {
        return planNumber;
    }

    public void setPlanNumber(String planNumber) {
        this.planNumber = planNumber == null ? null : planNumber.trim();
    }

    public BigDecimal getCarrierId() {
        return carrierId;
    }

    public void setCarrierId(BigDecimal carrierId) {
        this.carrierId = carrierId;
    }

    public BigDecimal getPlanTruckNumber() {
        return planTruckNumber;
    }

    public void setPlanTruckNumber(BigDecimal planTruckNumber) {
        this.planTruckNumber = planTruckNumber;
    }

    public BigDecimal getPlanStatus() {
        return planStatus;
    }

    public void setPlanStatus(BigDecimal planStatus) {
        this.planStatus = planStatus;
    }

    public Date getPlanIssueTime() {
        return planIssueTime;
    }

    public void setPlanIssueTime(Date planIssueTime) {
        this.planIssueTime = planIssueTime;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getDeleted() {
        return deleted;
    }

    public void setDeleted(BigDecimal deleted) {
        this.deleted = deleted;
    }

    public String getPlanIssueName() {
        return planIssueName;
    }

    public void setPlanIssueName(String planIssueName) {
        this.planIssueName = planIssueName == null ? null : planIssueName.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", planId=").append(planId);
        sb.append(", planNumber=").append(planNumber);
        sb.append(", carrierId=").append(carrierId);
        sb.append(", planTruckNumber=").append(planTruckNumber);
        sb.append(", planStatus=").append(planStatus);
        sb.append(", planIssueTime=").append(planIssueTime);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", deleted=").append(deleted);
        sb.append(", planIssueName=").append(planIssueName);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}