package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="火车订单管理")
public class OmstrainOrder implements IBasePO<BigDecimal> {
    /**
     * 主键id(ORDER_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="主键id",required=true)
    private BigDecimal orderId;

    /**
     * 运单号(ORDER_NO,VARCHAR,50)
     */
    @ApiModelProperty(value="运单号",required=false)
    private String orderNo;

    /**
     * 车皮号(ORDER_WAGON_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="车皮号",required=false)
    private String orderWagonNo;

    /**
     * 车皮标重(ORDER_WAGON_WEIGHT,DECIMAL,0)
     */
    @ApiModelProperty(value="车皮标重",required=false)
    private BigDecimal orderWagonWeight;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 进站时间(ENSTATION_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="进站时间",required=false)
    private Date enstationTime;

    /**
     * 发出时间(OUTSTATION_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="发出时间",required=false)
    private Date outstationTime;

    /**
     * 计费吨位(BILLING_WEIGHT,DECIMAL,0)
     */
    @ApiModelProperty(value="计费吨位",required=false)
    private BigDecimal billingWeight;

    /**
     * 是否验收(IS_ACCEPT ,DECIMAL,0)
     */
    @ApiModelProperty(value="是否验收",required=false)
    private BigDecimal isAccept;

    /**
     * 卸货点ID(WAREHOUSE_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="卸货点ID",required=false)
    private BigDecimal warehouseId;

    /**
     * 草垫根数(STRAWMATS,DECIMAL,0)
     */
    @ApiModelProperty(value="草垫根数",required=false)
    private BigDecimal strawmats;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.orderId;
    }

    @Override
    public void setId(BigDecimal orderId) {
        this.orderId = orderId;
    }

    public BigDecimal getOrderId() {
        return orderId;
    }

    public void setOrderId(BigDecimal orderId) {
        this.orderId = orderId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo == null ? null : orderNo.trim();
    }

    public String getOrderWagonNo() {
        return orderWagonNo;
    }

    public void setOrderWagonNo(String orderWagonNo) {
        this.orderWagonNo = orderWagonNo == null ? null : orderWagonNo.trim();
    }

    public BigDecimal getOrderWagonWeight() {
        return orderWagonWeight;
    }

    public void setOrderWagonWeight(BigDecimal orderWagonWeight) {
        this.orderWagonWeight = orderWagonWeight;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public Date getEnstationTime() {
        return enstationTime;
    }

    public void setEnstationTime(Date enstationTime) {
        this.enstationTime = enstationTime;
    }

    public Date getOutstationTime() {
        return outstationTime;
    }

    public void setOutstationTime(Date outstationTime) {
        this.outstationTime = outstationTime;
    }

    public BigDecimal getBillingWeight() {
        return billingWeight;
    }

    public void setBillingWeight(BigDecimal billingWeight) {
        this.billingWeight = billingWeight;
    }

    public BigDecimal getIsAccept() {
        return isAccept;
    }

    public void setIsAccept(BigDecimal isAccept) {
        this.isAccept = isAccept;
    }

    public BigDecimal getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(BigDecimal warehouseId) {
        this.warehouseId = warehouseId;
    }

    public BigDecimal getStrawmats() {
        return strawmats;
    }

    public void setStrawmats(BigDecimal strawmats) {
        this.strawmats = strawmats;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", orderId=").append(orderId);
        sb.append(", orderNo=").append(orderNo);
        sb.append(", orderWagonNo=").append(orderWagonNo);
        sb.append(", orderWagonWeight=").append(orderWagonWeight);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", enstationTime=").append(enstationTime);
        sb.append(", outstationTime=").append(outstationTime);
        sb.append(", billingWeight=").append(billingWeight);
        sb.append(", isAccept=").append(isAccept);
        sb.append(", warehouseId=").append(warehouseId);
        sb.append(", strawmats=").append(strawmats);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}