package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="成品仓库网格")
public class RmsPwarehouseGrid implements IBasePO<BigDecimal> {
    /**
     * 主键ID(GRID_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal gridId;

    /**
     * 仓库ID(WAREHOUSE_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="仓库ID",required=false)
    private BigDecimal warehouseId;

    /**
     * 月台ID(PLATFORM_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="月台ID",required=false)
    private BigDecimal platformId;

    /**
     * 垛位ID(STACKING_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="垛位ID",required=false)
    private BigDecimal stackingId;

    /**
     * 层次号(GRID_GRADATION_NUMBER,DECIMAL,38)
     */
    @ApiModelProperty(value="层次号",required=false)
    private BigDecimal gridGradationNumber;

    /**
     * 层序号(GRID_SEQUENCE_NUMBER,DECIMAL,38)
     */
    @ApiModelProperty(value="层序号",required=false)
    private BigDecimal gridSequenceNumber;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.gridId;
    }

    @Override
    public void setId(BigDecimal gridId) {
        this.gridId = gridId;
    }

    public BigDecimal getGridId() {
        return gridId;
    }

    public void setGridId(BigDecimal gridId) {
        this.gridId = gridId;
    }

    public BigDecimal getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(BigDecimal warehouseId) {
        this.warehouseId = warehouseId;
    }

    public BigDecimal getPlatformId() {
        return platformId;
    }

    public void setPlatformId(BigDecimal platformId) {
        this.platformId = platformId;
    }

    public BigDecimal getStackingId() {
        return stackingId;
    }

    public void setStackingId(BigDecimal stackingId) {
        this.stackingId = stackingId;
    }

    public BigDecimal getGridGradationNumber() {
        return gridGradationNumber;
    }

    public void setGridGradationNumber(BigDecimal gridGradationNumber) {
        this.gridGradationNumber = gridGradationNumber;
    }

    public BigDecimal getGridSequenceNumber() {
        return gridSequenceNumber;
    }

    public void setGridSequenceNumber(BigDecimal gridSequenceNumber) {
        this.gridSequenceNumber = gridSequenceNumber;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", gridId=").append(gridId);
        sb.append(", warehouseId=").append(warehouseId);
        sb.append(", platformId=").append(platformId);
        sb.append(", stackingId=").append(stackingId);
        sb.append(", gridGradationNumber=").append(gridGradationNumber);
        sb.append(", gridSequenceNumber=").append(gridSequenceNumber);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}