package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="汽车订单和火车订单关联")
public class TmsttOrder implements IBasePO<BigDecimal> {
    /**
     * 主键ID(TT_ORDER_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal ttOrderId;

    /**
     * 汽车运输订单ID(TRUCK_ORDER_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="汽车运输订单ID",required=false)
    private BigDecimal truckOrderId;

    /**
     * 火车运输订单ID(TRAIN_ORDER_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="火车运输订单ID",required=false)
    private BigDecimal trainOrderId;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.ttOrderId;
    }

    @Override
    public void setId(BigDecimal ttOrderId) {
        this.ttOrderId = ttOrderId;
    }

    public BigDecimal getTtOrderId() {
        return ttOrderId;
    }

    public void setTtOrderId(BigDecimal ttOrderId) {
        this.ttOrderId = ttOrderId;
    }

    public BigDecimal getTruckOrderId() {
        return truckOrderId;
    }

    public void setTruckOrderId(BigDecimal truckOrderId) {
        this.truckOrderId = truckOrderId;
    }

    public BigDecimal getTrainOrderId() {
        return trainOrderId;
    }

    public void setTrainOrderId(BigDecimal trainOrderId) {
        this.trainOrderId = trainOrderId;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", ttOrderId=").append(ttOrderId);
        sb.append(", truckOrderId=").append(truckOrderId);
        sb.append(", trainOrderId=").append(trainOrderId);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}