package com.steerinfo.dil.service;

import com.steerinfo.dil.model.OmstruckOrder;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * 运输订单第二个 service
 * @ author    :TXF
 * @ time      :2021/12/3 13:14
 */

public interface IOmstruckOrderSeparateService {

    List<Map<String, Object>> getInputOrderList(Map<String, Object> mapValue);

    //根据运输订单id修改运力id
    int updateOmstruckOrder(OmstruckOrder omstruckOrder);


    List<Map<String,Object>> getUnloadOrderMaterial(Map<String, Object> map);

    // 承运商销售分派运输订单给司机
    Integer addSaleTruckOrder(Map<String, Object> mapValue);
    // 关闭订单
    int closeOrder(Integer orderId);

    //更改趟次
    int updateTimes(BigDecimal orderPlanId, int i);

    // 根据运单id查询出所有销售数据
    Map<String, Object> getSaleAllMessages(BigDecimal orderId);

    //新增一个新的采购运输订单（一车多趟）
    int addNewTransportOrder(BigDecimal orderId);

    // 批量关闭运输订单
    int batchCloseOrder(List<Map<String, Object>> mapList);
    List<Map<String,Object>> getOrderMaterial(Integer orderId);

    int closeInwardOrder(Integer orderId, Integer sqe, String resultNetWeight);


    List<Map<String,Object>> getTimeTaskEnd(Map<String, Object> map);

    List<Map<String,Object>> getTimeTaskEndDetail(Map<String, Object> map);

    List<Map<String,Object>> getUnloadOrderWarehouseName(Map<String, Object> map);

    List<Map<String,Object>> getPauseTimeTaskDetail(Integer orderId);

    List<Map<String,Object>> getLoadForLoadCarResult(Map<String, Object> map);

    Integer getCapacityTypeByUserId(Map<String, Object> map);
}
